Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004385 [JEDI VCL] 00 JVCL Components minor always 2008-06-30 07:29 2008-11-01 17:17
Reporter ivivan View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.33
Summary 0004385: transparency bug in TJvgGroupBox
Description If TJvgGroupBox.transparent is true and the label on it is also transparent, after changing the labels, they are drawn over each other.

Working solution:

To the begining of the paint method:
OldDC: Integer;

  OldDC:=SaveDC(Canvas.Handle);
  try
    MoveWindowOrg(Canvas.Handle, -Left, -Top);
    Canvas.Lock;
    try
      Parent.Perform(WM_ERASEBKGND, Canvas.Handle, Canvas.Handle);
      Parent.Perform(WM_PAINT, Canvas.Handle, 0);
    finally
      Canvas.Unlock;
    end;
  finally
    RestoreDC(Canvas.Handle,OldDC);
  end;

Delete the following line:
SetBkMode(Handle, Integer(TRANSPARENT));
Additional Information
Tags No tags attached.
Attached Files zip file icon TJvgGroupBox test.zip [^] (317,236 bytes) 2008-07-06 02:28

- Relationships

-  Notes
(0014371)
ivivan (reporter)
2008-07-06 02:30

I upload a simple example about the bug. This example show a bug in TJvgCheckbox too.
(0014376)
obones (administrator)
2008-07-15 00:59

Thanks for the report and the demo application
(0014947)
AHUser (developer)
2008-11-01 17:17

Fixed in SVN.

- Issue History
Date Modified Username Field Change
2008-06-30 07:29 ivivan New Issue
2008-07-06 02:28 ivivan File Added: TJvgGroupBox test.zip
2008-07-06 02:30 ivivan Note Added: 0014371
2008-07-15 00:59 obones Note Added: 0014376
2008-07-15 00:59 obones Status new => acknowledged
2008-11-01 17:17 AHUser Status acknowledged => resolved
2008-11-01 17:17 AHUser Fixed in Version => Daily / SVN
2008-11-01 17:17 AHUser Resolution open => fixed
2008-11-01 17:17 AHUser Assigned To => AHUser
2008-11-01 17:17 AHUser Note Added: 0014947


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker